@charset "UTF-8";

/* 前へ/次へボタン */
.nav-buttons {
	display: flex;
	justify-content: center;
	gap: 10px;
	margin: 30px 0;
}

.nav-btn {
	background: #FF9966;
	color: #fff;
	padding: 12px 30px;
	font-size: 15px;
	border: none;
	border-radius: 6px;
	min-width: 150px;
	text-align: center;
}

.nav-btn:hover {
	opacity: 0.8;
}


/* 結果表 */
.section table {
	border-collapse: collapse;
	font-size: 11px;
	margin-top:10px;
	width: 45%;
}

.section .chart-area {
	width: 55%;
}

.section table th,
.section table td {
	border: 1px solid #999;
	padding: 4px 6px;
	line-height: 1.2;
}

.section table th {
	background: #f0f0f0;
}

.trColor {
	font-weight: bold;
	background: #fffae0;
}

canvas {
	flex: 1;
	height: auto !important;
}

.report-container {
	display: flex;
	flex-direction: column;
	gap: 50px;
}


/* 表＋グラフ並び(PC) */
.section {
	display: flex;
	gap: 20px;
	width: 100%;
}

/* 表＋グラフ並び(スマホ) */
@media screen and (max-width: 768px) {
	.section {
		flex-direction: column;
		align-items: center;
	}
	.section table, .section .chart-area {
		width: 95%;
	}
	.section .chart-area canvas {
		width: 100% !important;
		margin: 0 auto;
	}
}

/* 評価　*/
.report-summary {
	margin-top: 40px;
	font-family: "Meiryo", sans-serif;
}

/* 大見出し */
.report-summary h2 {
	font-size: 20px;
	margin: 20px 0 -5px;
	padding-left: 8px;
	color: #4682b4;
}

/* 評価 */
.summary-block {
	display: flex;
	justify-content: space-between;
	gap: 20px;
	padding: 15px;
	border-radius: 6px;
	border: 1px solid #ddd;
}

/* 文字ぼかし */
.blur {
  color: transparent;
  text-shadow: 0 0 10px rgba(0,0,0,0.5);
  user-select: none;
}

.summary-text {
	width: 40%;
	font-size: 14px;
	line-height: 1.6em;
}

.highlight {
	font-size: 18px;
	font-weight: bold;
	color: #d60000;
}

.rank-table {
	width: 50%;
	font-size: 12px;
}

.rank-table th, .rank-table td {
	border: 1px solid #999;
	padding: 6px;
}

/* ブロック */
.ｆblock {
	gap: 20px;
	padding: 15px;
	border: 1px solid #ccc;
	border-radius: 6px;
	font-size: 14px;
}


/* 評価(スマホ) */
@media screen and (max-width: 768px) {
	.report-summary {
		margin-left:10px;
	}
	.summary-block {
		flex-direction: column;
	}
	.rank-table, .summary-text {
		width: 100%;
	}
}